# krat_exp_parser.hh File Reference

This file declares the parse() function. More...

Include dependency graph for krat_exp_parser.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.
namespace | vcsn::algebra

| Namespace for algebra constructs in Vaucanson.

## Functions

template<class S , class T >
std::pair< bool, std::string > | parse (const std::string &from, Element< S, T > &exp, bool lex_trace=false, bool parse_trace=false)
| Parse a rational expression.

## Detailed Description

This file declares the parse() function.

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>, Thomas Claveirole <thomas@lrde.epita.fr> Vivien Delmon <vivien@lrde.epita.fr>

See also:
  parse()

Definition in file krat_exp_parser.hh.